stages:
  - deploy_staging

staging:
  stage: deploy_staging
  script:
    - apt-get update -qq && apt-get install -y -qq lftp
    - lftp -c "set ftp:ssl-allow no; open -u $USERNAME,$PASSWORD $HOST; mirror -Rev ./ ./  --reverse --ignore-time --parallel=10 --exclude-glob README.md --exclude-glob config_safe.php --exclude-glob .htaccess --exclude-glob .git* --exclude .git/ --exclude nbproject/ --exclude-glob cache.* --exclude-glob *.log* --exclude image/catalog/ --exclude image/cache/ --exclude image/.tmp/ --exclude image/data/ --exclude image/flags/ --exclude image/templates/ --exclude vendor/ --exclude-glob composer.phar"
    
    # --exclude vqmod/ --exclude system/modification/ --exclude system/upload/ --exclude system/logs/ --exclude system/cache/ --exclude system/download/
  environment:
    name: staging
    url: http://test.numi.lt
  only:
    - master